import { AfterViewInit, OnInit } from "@angular/core";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiModelService } from "../../services/model.service";
import * as i0 from "@angular/core";
export declare class StiTieredMenuComponent implements OnInit, AfterViewInit {
    helper: StiHelperService;
    model: StiModelService;
    menu: any[];
    parentElement: any;
    baseZIndex: number;
    menuElementRef: any;
    isInitialized: boolean;
    currentHoveredElementIndex: number;
    constructor(helper: StiHelperService, model: StiModelService);
    ngAfterViewInit(): void;
    getMenuTop(): number;
    getMunuLeft(): 100 | -107;
    onMouseEnter(index: number): void;
    onMouseClick(item: any): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTieredMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTieredMenuComponent, "sti-tiered-menu", never, { "menu": { "alias": "menu"; "required": false; }; "parentElement": { "alias": "parentElement"; "required": false; }; "baseZIndex": { "alias": "baseZIndex"; "required": false; }; }, {}, never, never, false, never>;
}
